Wadjet Eye Games Community Forum

Wadjet Eye Games => The Shivah => Topic started by: ericpaulkatz on April 24, 2014, 03:27:51 AM

Title: The game won't load.
Post by: ericpaulkatz on April 24, 2014, 03:27:51 AM
Just purchased this game through Steam. Running it under Linux. The game won't start. When I execute the binary in a terminal, it tells me there is a seg fault. I get the same result whether I run the 64 bit or 32 bit version.

Here's the output. Any ideas?

- - - -

AGS: Adventure Game Studio v3.3 Interpreter
Copyright (c) 1999-2011 Chris Jones and 2011-20xx others
ACI version 3.3.0.1132

AGS: ***** ENGINE STARTUP
AGS: Reading config file
AGS: Initializing allegro
AGS: Setting up window
Segmentation fault
Title: Re: The game won't load.
Post by: ced117 on April 24, 2014, 11:40:04 AM
Oh, a real Linux version on Steam ? Great ! 8)
Hard to say what is happening...

Hum...
Do you use proprietary or open source GPU drivers ?
Title: Re: The game won't load.
Post by: ericpaulkatz on April 24, 2014, 12:39:37 PM
Ced117, thanks for the quick reply!

Open. I'm using fglrx.
Title: Re: The game won't load.
Post by: ced117 on April 24, 2014, 04:12:10 PM
No problem :)

The fglrx driver is proprietary.
Remove this driver and see if it works with the open source one.
Title: Re: The game won't load.
Post by: ericpaulkatz on April 24, 2014, 08:49:21 PM
Oops, you're right!

However, I'm loathe to uninstall it. I spent a long time  trying to get Linux to run on this hardware. I seem to remember that the open driver does not work with my APU.

Unless you have a stroke of genius, I may be stuck.

--eric
Title: Re: The game won't load.
Post by: ced117 on April 25, 2014, 05:47:03 AM
Ooooh, too bad :(

Which APU do you have ?
Title: Re: The game won't load.
Post by: ericpaulkatz on May 05, 2014, 02:00:10 AM
Sorry for the delay! I got distracted by life.

The APU is an AMD A4-5300.

--eric
Title: Re: The game won't load.
Post by: ced117 on May 11, 2014, 01:10:47 PM
No problem ;)

Also, have you tried the last AMD Catalyst drivers ?
There is a new release available.
Maybe it will solve the problem... *fingers crossed*